Hive and HCatalog Support Matrix

This matrix shows the interoperability between Hive and HCatalog and other ecosystem products.

This page shows the compatibility of Hive and HCatalog with other ecosystem components and it applies to MapR versions 5.1 and below. For more recent versions of MapR, see the MEP Components and OS Support.

Compatible Product Product Version Hive 0.09 Hive 0.10 Hive 0.11 Hive 0.12 Hive 0.13 Hive 1.0 Hive 1.2.1
Hue 2.5 No No Yes No No No No
3.5 No No No No Yes No No
3.6 No No No Yes Yes No No
3.7 No No No Yes Yes Yes No
3.8.1 No No No No Yes Yes Yes
3.9.0 No No No No Yes Yes Yes
HBase 0.92.2 Yes Yes No No No No No
0.94.17 No Yes Yes Yes Yes No No
0.94.21 No Yes Yes Yes Yes No No
0.94.24 No Yes Yes Yes Yes No No
0.98.4 No No No No Yes No No
0.98.7 No No No No Yes No No
0.98.9 No No No No Yes Yes Yes
0.98.12 No No No No Yes Yes Yes
1.1 No No No No No No Yes
Impala 1.1.1 No No No Yes No No No
1.2.3 No No No Yes No No No
1.4.1 No No No No Yes No No
2.2.0 No No No No No No Yes
2.5.0 No No No No No No Yes
Drill 1.0 No No No No Yes No No
1.1 No No No No No Yes No
1.2 No No No No Yes Yes Yes
1.3 No No No No Yes Yes Yes
1.4 No No No No Yes Yes Yes
1.5 No No No No Yes Yes Yes
1.6 No No No No Yes Yes Yes
1.7 No No No No Yes Yes Yes
1.8 No No No No Yes Yes Yes
1.9 No No No No Yes Yes Yes
1.10 No No No No No No Yes
Spark 0.9.2 No No No Yes No No No
1.0.2 No No No Yes No No No
1.1.0 No No No Yes No No No
1.2.1 No No No No Yes No No
1.3.1 No No No No Yes No No
1.4.1 No No No No Yes No No
1.5.2 No No No No Yes2 Yes2 Yes
1.6.1 No No No No Yes2 Yes2 Yes
Oozie 3.3.2 Yes Yes Yes Yes Yes No No
4.0.1 No No No Yes Yes No No
4.1.0 No No No Yes3 Yes Yes3 Yes3
4.2.0 No No No No Yes1 Yes1 Yes
Sqoop 1.4.1 Yes Yes Yes No No No No
1.4.4 No No No Yes Yes No No
1.4.5 No No No Yes Yes Yes No
1.4.6 No No No No Yes Yes Yes
Sqoop2 1.99.3 No No No No Yes Yes Yes
1.99.6 No No No No Yes Yes Yes
Pig 11 No No No No No No No
12 No No No Yes Yes No No
13 No No No Yes Yes No No
14 No No No Yes Yes Yes Yes
15 No No No No Yes Yes Yes
Sentry 1.4 No No No No Yes No No
1.6 No No No No No No Yes
Flume 1.6 No No No No Yes Yes Yes

1 By default, Oozie 4.2.0 includes Hive 1.2.1 shared libraries. To use Oozie with other compatible versions of Hive, see MapR's Oozie documentation.

2 When you use Spark 1.5.2 with Hive 0.13 or Hive 1.0, Spark SQL insert overwrite operations on Hive tables are not supported for the ORC, RC, and AVRO formats. For more information, see the Spark documentation.

3 By default, Oozie 4.1.0 includes Hive 0.13 shared libraries. To use Oozie with other compatible versions of Hive, see MapR's Oozie documentation.

Change Control Notes

  • This matric was last updated on April, 2017 (Drill 1.10 added)
  • This matrix was last updated on February 29, 2016 (HBase 1.1, Drill 1.5, Impala 2.2, Sentry 1.6 added).
  • This matrix was last updated on February 5, 2016 (Tez removed; Flume 1.6 added).
  • This matrix was last updated on Jan 20, 2016 (Drill 0.9 removed).
  • This matrix was last updated on Jan 12, 2016 (Drill 1.3, 1.4).
  • This matrix was last updated on Dec 21, 2015 (Spark 1.5.2).
  • This matrix was last updated on Sept 25, 2015 (Hive 1.2.1 and Oozie 4.2.0).
  • This matrix was updated on Sept 9, 2015 (Spark 1.4.1 and Pig 15).
  • This matrix was updated on August 4, 2015 (Hue 3.8.1 and Sqoop2 1.99.6).
  • This matrix was updated on November 20, 2015 (Hue 3.9.0).